﻿@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

:root {
    --button: #fff200;
    --hover: #ede8d0;
    --background: #f2f2f2;
    --light_text: #666;
    --dark_text: #111;
}

body {
    background-color: var(--hover);
}

/* ========================= Header ========================= */

header {
    position: sticky;
    top: 0;
    z-index: 1000;
}

.navbar {
    height: 9.5vh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 4vw;
    background-color: var(--background);
    box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
}

.logo {
    height: 9.5vh;
    cursor: pointer;
}

/* ========================= Link Box ========================= */

.link-box {
    height: 100%;
    display: flex;
    align-items: center;
    list-style-type: none;
}

.link-box li {
    position: relative;
}

.link-box li a{
    padding: 2.9vh 2.5vh;
}

.link-box li a:hover {
    background-color: #e7e7df;
}

.link-box li:hover>a i {
    transform: rotate(180deg);
}

.link-box i {
    transition: transform 0.5s ease;
}

.link {
    color: var(---dark_text);
    font-weight: 500;
    font-family: Poppins;
    text-decoration: none;
    font-size: 17px;
    cursor: pointer;
}

/* ========================= Dropdown ========================= */

/* .dropdown {
    display: none;
    flex-direction: column;
    background-color: var(--background);
    position: absolute;
    margin-top: 2.9vh;
}

.link-box li:hover .dropdown {
    display: block;
}

.dropdown>ul>li {
    list-style-type: none;
    padding:  3vh 0;
}

.dropdown > ul > li > a {
    width: 100%;
}


.dropdown>a {
    color: var(---dark_text);
} */

/* ========================= Dropdown ========================= */

.dropdown {
    display: none;
    position: absolute;
    top: 90%;
    left: 0;
    min-width: 220px;
    margin-top: 2.9vh;
    background-color: var(--background);
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
}

.link-box li:hover .dropdown {
    display: block;
}

.dropdown ul {
    margin: 0;
    padding: 0;
}

.dropdown ul li {
    list-style: none;
}

.dropdown ul li a {
    display: block;
    padding: 12px 18px;
    color: var(--dark_text);
}

.dropdown ul li a:hover {
    background-color: #e7e7df;
}

/* ========================= Footer ========================= */

.footer {
    width: 100%;
    padding: 4vh 8vw;
    /* background-color: var(--background); */
    background: linear-gradient(90deg, #B5C6E0, #EBF4F5);
    margin-top: 5vh;
    box-shadow: 0 -2px 15px rgba(0, 0, 0, 0.1);
}

.upper-footer {
    display: flex;
    gap: 2vw;
}

.column {
    display: flex;
    flex-direction: column;
    gap: 1.5vh;
}

.footer-head {
    font-size: 22px;
    font-weight: 600;
    color: var(--dark_text);
}

.footer-color {
    text-decoration: none;
    color: #333;
}

    .footer-color:hover .footer-icon {
        color: #333;
    }

    .footer-color:hover {
        transform: translateX(10px);
        transition: transform 0.5s ease;
        /* color: #111; */
        font-weight: 500;
    }

.footer-icon {
    color: #333;
}

.facebook:hover,
.footer-color:hover .facebook {
    color: #0866ff;
}

.twitter:hover,
.footer-color:hover .twitter {
    color: var(--dark_text);
}

.google:hover,
.footer-color:hover .google {
    color: #0866ff;
}

.pinterest:hover,
.footer-color:hover .pinterest {
    color: #e60022;
}

.middle-footer {
    margin-top: 3vh;
    height: 1px;
    width: 100%;
    background-color: #333;
}

.lower-footer {
    margin-top: 2vh;
    color: #333;
}

/* ========================= Only Mobile View ========================= */

.header-btn {
    display: none;
}

.mobile-link-box {
    display: none;
}

/* ========================= Mobile Screen (Rotate) ========================= */

@media (max-width: 940px) {    
    /* ========================= Header ========================= */
    
    .navbar {
        height: 15vh;
    }
    
    .link-box {
        display: none;
    }

    /* ========================= Login Button ========================= */
    
    .header-btn {
        display: block;
        align-items: center;
        justify-content: center;
        padding: 1.5vh 2.5vw;
        background-color: var(--background);
        border: none;
        font-size: 20px;
        box-shadow: 0 2px 15px rgba(0, 0, 0, 0.1);
    }
    
    /* ========================= Mobile Link Box ========================= */
    
    .mobile-link-box {
        width: 100%;
        position: absolute;
        top: 100%;
        left: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: var(--hover);
        padding: 0 5vw;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.5s ease;
    }

    .mobile-link-box.active {
        max-height: 500px;
        padding: 2vh 5vw;
    }

    /* .mobile-link-box {
        width: 100%;
        position: absolute;
        display: flex;
        flex-direction: column;
        align-items: center;
        background-color: var(--hover);
        padding: 0 5vw;
        transition: 0.5s ease;
    }

    .open {
        display: none;
    } */

    .mobile-link-box li {
        list-style-type: none;
        padding: 1vh 0;
    }
    
    .mobile-link {
        font-weight: 600;
        font-size: 17px;
        color: var(---dark_text);
        text-decoration: none;
    }
}

/* ========================= Mobile Screen ========================= */

@media (max-width: 768px) {
    /* ========================= Header ========================= */
    .logo {
        height: 5.5vh;
/*        cursor: pointer;*/
    }

    .navbar {
        height: 7vh;
    }   
    
    /* ========================= Login Button ========================= */
    
    .header-btn {
        padding: 1vh 3vw;
    }

    /* ========================= Footer ========================= */

    .upper-footer {
        flex-direction: column;
        row-gap: 3vh;
    }

    .column {
        gap: 1vh;
    }

    .footer-head {
        font-size: 2vh;
    }

    .middle-footer {
        margin-top: 1vh;
    }
}